Debian Bug report logs - #370348
use /etc/profile.d instead of modifying /etc/skel/.bash_profile and /etc/profile

version graph

Package: debian-edu-config; Maintainer for debian-edu-config is Debian Edu Developers <debian-edu@lists.debian.org>; Source for debian-edu-config is src:debian-edu-config.

Reported by: Luk Claes <luk@debian.org>

Date: Sun, 4 Jun 2006 18:34:20 UTC

Severity: wishlist

Fixed in version debian-edu-config/1.439

Done: Petter Reinholdtsen <pere@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#370348; Package bash. Full text and rfc822 format available.

Acknowledgement sent to Luk Claes <luk@debian.org>:
New Bug report received and forwarded. Copy sent to Matthias Klose <doko@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Luk Claes <luk@debian.org>
To: submit@bugs.debian.org
Subject: Make etc/skel/.bash_profile automatically configurable
Date: Sun, 04 Jun 2006 20:19:08 +0200
[Message part 1 (text/plain, inline)]
Package: bash
Severity: wishlist

Hi

Automatically configuring etc/skel/.bash_profile is not policy compliant
for the moment as one needs to edit a conffile.

A solution might be to create the file in the maintainerscripts so it's
no conffile...

Cheers

Luk

-- 
Luk Claes - http://people.debian.org/~luk - GPG key 1024D/9B7C328D
Fingerprint:   D5AF 25FB 316B 53BB 08E7   F999 E544 DE07 9B7C 328D


[signature.asc (application/pgp-signature, inline)]
[signature.asc (application/pgp-signature, attachment)]

Blocking bugs added: 370319, 370324, 370332, 370337, 370338, 370339, 370340, 370342, 370343, 370344, 370346, 370347, 370348, 370349, 370350, and 370351 Request was from Luk Claes <luk@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs removed: 370319, 370324, 370332, 370337, 370338, 370339, 370340, 370342, 370343, 370344, 370346, 370347, 370348, 370349, 370350, 370351, and 370393 Request was from Luk Claes <luk@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 370319, 370324, 370332, 370337, 370338, 370339, 370340, 370342, 370343, 370344, 370346, 370347, 370348, 370349, 370350, 370351, and 370393 Request was from Luk Claes <luk@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#370348; Package bash. Full text and rfc822 format available.

Acknowledgement sent to Justin Pryzby <justinpryzby@users.sourceforge.net>:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@debian.org>. Full text and rfc822 format available.

Message #16 received at 370348@bugs.debian.org (full text, mbox):

From: Justin Pryzby <justinpryzby@users.sourceforge.net>
To: 370348@bugs.debian.org
Subject: Re: Bug#370348: Make etc/skel/.bash_profile automatically configurable
Date: Thu, 22 Jun 2006 09:48:28 -0400
On Sun, Jun 04, 2006 at 08:19:08PM +0200, Luk Claes wrote:
> Package: bash
> Severity: wishlist
> 
> Hi
> 
> Automatically configuring etc/skel/.bash_profile is not policy compliant
> for the moment as one needs to edit a conffile.
> 
> A solution might be to create the file in the maintainerscripts so it's
> no conffile...
Hi Luk,

I just read #311188, and I wanted to point out that it isn't allowed
to depend on files in /usr/share/doc; the local admin is supposed to
be able to rm -fr it.

Justin



Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#370348; Package bash. Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@debian.org>. Full text and rfc822 format available.

Message #21 received at 370348@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: 370348@bugs.debian.org
Subject: dear maintainer, please comment...
Date: Sat, 5 Apr 2008 20:33:00 +0200
[Message part 1 (text/plain, inline)]
Hi Matthias,

could you please comment on this bug? It's really important for us to fix 
#311188 for Lenny, so that upgrades from Lenny to Lenny+1 will work without 
problems for Debian Edu installations.

Thank you.


regards,
	Holger
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#370348; Package bash. Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@cs.tu-berlin.de>:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@debian.org>. Full text and rfc822 format available.

Message #26 received at 370348@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@cs.tu-berlin.de>
To: Holger Levsen <holger@layer-acht.org>, 370348@bugs.debian.org
Subject: Re: Bug#370348: dear maintainer, please comment...
Date: Mon, 7 Apr 2008 18:50:07 +0200
Holger Levsen writes:
> Hi Matthias,
> 
> could you please comment on this bug? It's really important for us to fix 
> #311188 for Lenny, so that upgrades from Lenny to Lenny+1 will work without 
> problems for Debian Edu installations.

Is there a reason why this is not done with /etc/profile? IICU you do
want site specific configurations. If debian-edu is LSB compliant, it
can however rely on /etc/profile.d/ being read at startup.

Does there exist a spec/exception list how to handle configuration
files when other tools want to modify those?




Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#370348; Package bash. Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@debian.org>. Full text and rfc822 format available.

Message #31 received at 370348@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: 370348@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#370348: dear maintainer, please comment...
Date: Mon, 7 Apr 2008 20:55:11 +0200
[Message part 1 (text/plain, inline)]
reassign 370348 debian-edu-config
retitle use /etc/profile.d instead of modifying /etc/skel/.bash_profile and /etc/profile
thanks

Hi Matthias,

On Monday 07 April 2008 18:50, Matthias Klose wrote:
> Is there a reason why this is not done with /etc/profile? IICU you do 
> want site specific configurations. If debian-edu is LSB compliant, it
> can however rely on /etc/profile.d/ being read at startup.

I guess either because /etc/profile.d/ was not known or didnt exist when
our code was written :-) Thanks for the pointer.

BTW, I tried 10 minutes to figure out what IICU means, ITYM IIUC :)

And yes, Debian Edu is LSB complient, it's 99,867% Debian.

> Does there exist a spec/exception list how to handle configuration
> files when other tools want to modify those?

Does "apt-cache show ucf" answer the question? 


regards,
	Holger
[Message part 2 (application/pgp-signature, inline)]

Bug reassigned from package `bash' to `debian-edu-config'. Request was from Holger Levsen <holger@layer-acht.org> to control@bugs.debian.org. (Mon, 07 Apr 2008 18:57:04 GMT) Full text and rfc822 format available.

Changed Bug title to `use /etc/profile.d instead of modifying /etc/skel/.bash_profile and /etc/profile' from `Make etc/skel/.bash_profile automatically configurable'. Request was from Holger Levsen <holger@layer-acht.org> to control@bugs.debian.org. (Mon, 07 Apr 2008 20:06:17 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Edu Developers <debian-edu@lists.debian.org>:
Bug#370348; Package debian-edu-config. Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Debian Edu Developers <debian-edu@lists.debian.org>. Full text and rfc822 format available.

Message #40 received at 370348@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 370348@bugs.debian.org, Matthias Klose <doko@cs.tu-berlin.de>
Subject: Re: use /etc/profile.d instead of modifying /etc/skel/.bash_profile and /etc/profile
Date: Sun, 13 Jul 2008 17:51:00 +0200
[Matthias Klose 2008-04-07]
> If debian-edu is LSB compliant, it can however rely on
> /etc/profile.d/ being read at startup.

I've tried in Lenny to add a file in /etc/profile.d/ to set the umask,
and this had no effect.  I also tried to output some text to see if
the script is executed, and see no sign of it.  I've also tried to
find any code using the content in /etc/profile.d/, without any luck.

This is the test setup:

  guest@localhost:~$ cat /etc/profile.d/debian-edu
  echo /etc/profile.d/debian-edu
  umask 002
  guest@localhost:~$ ls -l /etc/profile.d/debian-edu
  -rwxr-xr-x 1 root root 42 13 juli 17:41 /etc/profile.d/debian-edu
  guest@localhost:~$

What have I misunderstood?  How are the code fragments in
/etc/profile.d/ supposed to work?  All I want is to modify the default
umask. :/

Happy hacking,
-- 
Petter Reinholdtsen




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Edu Developers <debian-edu@lists.debian.org>:
Bug#370348; Package debian-edu-config. Full text and rfc822 format available.

Acknowledgement sent to "cobaco (aka Bart Cornelis)" <cobaco@linux.be>:
Extra info received and forwarded to list. Copy sent to Debian Edu Developers <debian-edu@lists.debian.org>. Full text and rfc822 format available.

Message #45 received at 370348@bugs.debian.org (full text, mbox):

From: "cobaco (aka Bart Cornelis)" <cobaco@linux.be>
To: Petter Reinholdtsen <pere@hungry.com>, 370348@bugs.debian.org
Subject: Re: Bug#370348: use /etc/profile.d instead of modifying /etc/skel/.bash_profile and /etc/profile
Date: Mon, 14 Jul 2008 15:09:20 +0200
[Message part 1 (text/plain, inline)]
On 2008-07-13, Petter Reinholdtsen wrote:
> [Matthias Klose 2008-04-07]
>
> > If debian-edu is LSB compliant, it can however rely on
> > /etc/profile.d/ being read at startup.
>
> I've tried in Lenny to add a file in /etc/profile.d/ to set the umask,
> and this had no effect.  I also tried to output some text to see if
> the script is executed, and see no sign of it.  I've also tried to
> find any code using the content in /etc/profile.d/, without any luck.
>
> This is the test setup:
>
>   guest@localhost:~$ cat /etc/profile.d/debian-edu
>   echo /etc/profile.d/debian-edu
>   umask 002
>   guest@localhost:~$ ls -l /etc/profile.d/debian-edu
>   -rwxr-xr-x 1 root root 42 13 juli 17:41 /etc/profile.d/debian-edu
>   guest@localhost:~$
>
> What have I misunderstood?  How are the code fragments in
> /etc/profile.d/ supposed to work?  All I want is to modify the default
> umask. :/

they don't work by default, it's one of the instances where Debian does not 
comply with the lsb (it's documented in /usr/share/doc/lsb-
core/README.Debian.gz)
-- 
Cheers, cobaco (aka Bart Cornelis)
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Edu Developers <debian-edu@lists.debian.org>:
Bug#370348; Package debian-edu-config. (Thu, 08 Apr 2010 19:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Debian Edu Developers <debian-edu@lists.debian.org>. (Thu, 08 Apr 2010 19:33:03 GMT) Full text and rfc822 format available.

Message #50 received at 370348@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 370348@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Connect /etc/profile.d/ related bugs
Date: Thu, 8 Apr 2010 21:30:02 +0200
user debian-edu@lists.debian.org
usertag 545756 + debian-edu
block 370348 by 545756
thanks

The current base-files maintainer believe /etc/profile.d/ is a bad
idea.  The topic is handled in /usr/share/doc/base-files/FAQ, which
starts:

  Q. Why does Debian not have a "profile.d" directory, like other
  distributions?

  A. Because no Debian package needs it. Debian policy says: "A
  program must not depend on environment variables to get reasonable
  defaults".  This policy has been very successful so far. If the
  default install had a profile.d, people might think it's ok to use
  it for a Debian package, when in fact policy does not support such
  thing.

I guess we should make him aware that the debian-edu-config package
would like to use /etc/profile.d/. :)

The /etc/profile.d/ LSB feature is mentioned in
http://refspecs.freestandards.org/LSB_3.1.1/LSB-Core-generic/LSB-Core-generic/etc.html .

Or perhaps we should get the umask setting dropped from /etc/profile,
and use some pam module to control the global umask setting?

Happy hacking,
-- 
Petter Reinholdtsen




Added blocking bug(s) of 370348: 545756 Request was from Petter Reinholdtsen <pere@hungry.com> to control@bugs.debian.org. (Thu, 08 Apr 2010 19:33:15 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Edu Developers <debian-edu@lists.debian.org>:
Bug#370348; Package debian-edu-config. (Thu, 08 Apr 2010 20:18:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Debian Edu Developers <debian-edu@lists.debian.org>. (Thu, 08 Apr 2010 20:18:06 GMT) Full text and rfc822 format available.

Message #57 received at 370348@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 370348@bugs.debian.org
Subject: Re: base-files: please implement support to source /etc/profile.d/*.sh in /etc/profile
Date: Thu, 8 Apr 2010 22:11:01 +0200
I notice this in /usr/share/doc/base-files/FAQ:

  Q. Why does Debian not have a "profile.d" directory, like other
     distributions?

  A. Because no Debian package needs it.

As can be seen in #370348, the debian-edu-config package would solve a
problem with our default setup if the /etc/profile.d/ feature was
implemented.  At the moment we edit /etc/profile and
/etc/skel/.bash_profile to comment out the 'umask 022' setting and
insert our own 'umask 002', but would very much like to avoid editing
files originating from other packages to get the same effect.  So at
least one package can be said to need it now. :)

Also, if I read 
<URL: http://refspecs.freestandards.org/LSB_3.1.1/LSB-Core-generic/LSB-Core-generic/etc.html > correctly,
support for /etc/profile.d/ is required for Debian to comply with the
LSB, which as far I as know is a project goal.

Happy hacking,
-- 
Petter Reinholdtsen




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Edu Developers <debian-edu@lists.debian.org>:
Bug#370348; Package debian-edu-config. (Fri, 09 Apr 2010 15:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Santiago Vila <sanvila@unex.es>:
Extra info received and forwarded to list. Copy sent to Debian Edu Developers <debian-edu@lists.debian.org>. (Fri, 09 Apr 2010 15:57:03 GMT) Full text and rfc822 format available.

Message #62 received at 370348@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@unex.es>
To: Petter Reinholdtsen <pere@hungry.com>
Cc: 370348@bugs.debian.org
Subject: Re: Connect /etc/profile.d/ related bugs
Date: Fri, 9 Apr 2010 17:53:32 +0200 (CEST)
On Thu, 8 Apr 2010, Petter Reinholdtsen wrote:

> Or perhaps we should get the umask setting dropped from /etc/profile,
> and use some pam module to control the global umask setting?

I think so, yes.

For now, I'm going to put the profile.d thing after the umask setting
so that you can override it. However, if we agree that it's better to
remove umask from /etc/profile and use PAM, I'll happily remove it
afterwards.




Reply sent to Petter Reinholdtsen <pere@debian.org>:
You have taken responsibility. (Thu, 15 Apr 2010 19:51:07 GMT) Full text and rfc822 format available.

Notification sent to Luk Claes <luk@debian.org>:
Bug acknowledged by developer. (Thu, 15 Apr 2010 19:51:07 GMT) Full text and rfc822 format available.

Message #67 received at 370348-close@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@debian.org>
To: 370348-close@bugs.debian.org
Subject: Bug#370348: fixed in debian-edu-config 1.439
Date: Thu, 15 Apr 2010 19:48:21 +0000
Source: debian-edu-config
Source-Version: 1.439

We believe that the bug you reported is fixed in the latest version of
debian-edu-config, which is due to be installed in the Debian FTP archive:

debian-edu-config_1.439.dsc
  to main/d/debian-edu-config/debian-edu-config_1.439.dsc
debian-edu-config_1.439.tar.gz
  to main/d/debian-edu-config/debian-edu-config_1.439.tar.gz
debian-edu-config_1.439_all.deb
  to main/d/debian-edu-config/debian-edu-config_1.439_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 370348@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Petter Reinholdtsen <pere@debian.org> (supplier of updated debian-edu-config package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 15 Apr 2010 21:27:32 +0200
Source: debian-edu-config
Binary: debian-edu-config
Architecture: source all
Version: 1.439
Distribution: unstable
Urgency: low
Maintainer: Debian Edu Developers <debian-edu@lists.debian.org>
Changed-By: Petter Reinholdtsen <pere@debian.org>
Description: 
 debian-edu-config - Configuration files for Skolelinux systems
Closes: 370348 570783
Changes: 
 debian-edu-config (1.439) unstable; urgency=low
 .
   [ Petter Reinholdtsen ]
   * Drop calls to the obsolete -debconf-set-frontend tool, and use
     DEBIAN_FRONTEND=noninteractive in debian-edu-winbind instead.
   * Change mirror preseeding in debian-edu-pxeinstall to use "new"
     style preseeding for manual mirror selection (Closes: 570783).
   * Disable /etc/security/group.conf editing for local device access
     in Squeeze.  We still need it for fuse group membership and LTSP
     device access.
   * Disable editing of /etc/profile for Squeeze, and use the new
     /etc/profile.d/ feature instead to override the default umask.
     Depend on base-files (>= 5.3) for this (Closes: #370348).  Also
     disable /etc/skel/.bash_profile editing which seem to be obsolete
     in Lenny and Squeeze.
Checksums-Sha1: 
 431a17c6e7b8d51d0ab6031498f78c863f399742 1330 debian-edu-config_1.439.dsc
 f596d689065b931576a2018c6dfcfb5450e351e1 328446 debian-edu-config_1.439.tar.gz
 d4144b83a41142ec5c79ab553d680efb9aa2e409 283260 debian-edu-config_1.439_all.deb
Checksums-Sha256: 
 0f4b7d569a31968fb7f5c1593f4a9562db4a969c736d5529e9add12ceeb5baab 1330 debian-edu-config_1.439.dsc
 65df0e96aea79c9a07bb1197628a719fdf523730341fd24489848fc188dcb169 328446 debian-edu-config_1.439.tar.gz
 63b1eaa593f0b39849815a652d1ac8bdd0366a1900c0a717fc3ed1686146bd2f 283260 debian-edu-config_1.439_all.deb
Files: 
 d0eb4d42e95b551010d40ad7042dc674 1330 misc extra debian-edu-config_1.439.dsc
 a03cd9b8969509a7750c6bfd942df67f 328446 misc extra debian-edu-config_1.439.tar.gz
 a35b3befc53b68d4db0da06959c5abeb 283260 misc extra debian-edu-config_1.439_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFLx2ou20zMSyow1ykRAj4yAJwNIROdxxIeuA7QSLUVA2ASWp1SmwCeLtEv
um9PG4iqLWsOP55XGZYZ//U=
=vnz1
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 14 May 2010 07:36:55 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 00:14:07 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.